import { GridHandles } from './GridHandles';
type GridUIProps = {
    focusedStates: Uint32Array;
    selectedStates: Uint32Array;
    onDataChanged?: (sourceIndex: number, gridData: Float32Array | Uint32Array) => void;
    onFocusedStatesChange?: (sourceIndex: number, columnIndex: number, rowIndex: number) => void;
    onSelectedStatesChange?: (sourceIndex: number, columnIndex: number, rowIndex: number) => void;
    onViewportStateChange?: (sourceIndex: number) => void;
};
export declare const GridUI: import("react").ForwardRefExoticComponent<GridUIProps & import("react").RefAttributes<GridHandles>>;
export default GridUI;
